Skip to main content
DELETE
/
automation
/
v4
/
actions
/
{appId}
/
{definitionId}
/
functions
/
{functionType}
/
{functionId}
Archive a function for a definition
curl --request DELETE \
  --url 'https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/functions/{functionType}/{functionId}?hapikey='
This response has no body data.

Supported products

Authorizations

hapikey
string
query
required

Path Parameters

appId
integer<int32>
required

The ID of the application associated with the custom workflow action.

definitionId
string
required

The ID of the custom workflow action definition.

functionId
string
required

The ID of the specific function within the workflow action definition.

functionType
enum<string>
required

The type of function, accepted values are: POST_ACTION_EXECUTION, POST_FETCH_OPTIONS, PRE_ACTION_EXECUTION, PRE_FETCH_OPTIONS.

Available options:
POST_ACTION_EXECUTION,
POST_FETCH_OPTIONS,
PRE_ACTION_EXECUTION,
PRE_FETCH_OPTIONS

Response

Last modified on February 12, 2026